/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "RMOL", "index.html", [
    [ "RMOL Documentation", "index.html", "index" ],
    [ "People", "a01768.html", [
      [ "Project Admins", "a01768.html#admins", null ],
      [ "Developers", "a01768.html#developers", null ],
      [ "Retired Developers", "a01768.html#retired", null ],
      [ "Contributors", "a01768.html#contributors", null ],
      [ "Distribution Maintainers", "a01768.html#distributors", null ]
    ] ],
    [ "Coding Rules", "a01769.html", [
      [ "Default Naming Rules for Variables", "a01769.html#cr_variables", null ],
      [ "Default Naming Rules for Functions", "a01769.html#cr_functions", null ],
      [ "Default Naming Rules for Classes and Structures", "a01769.html#cr_classes", null ],
      [ "Default Naming Rules for Files", "a01769.html#cr_files", null ],
      [ "Default Functionality of Classes", "a01769.html#cr_classes_functionality", null ]
    ] ],
    [ "Copyright and License", "a01770.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "a01770.html#gnugpl", [
        [ "Version 2.1, February 1999", "a01770.html#version", null ]
      ] ],
      [ "Preamble", "a01770.html#preamble", null ],
      [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "a01770.html#terms", [
        [ "NO WARRANTY", "a01770.html#nowarranty", null ],
        [ "END OF TERMS AND CONDITIONS", "a01770.html#endofterms", null ]
      ] ],
      [ "How to Apply These Terms to Your New Programs", "a01770.html#howtoapply", null ]
    ] ],
    [ "Documentation Rules", "a01771.html", [
      [ "General Rules", "a01771.html#doc_general", null ],
      [ "File Header", "a01771.html#doc_header", null ],
      [ "Grouping Various Parts", "a01771.html#doc_groups", null ]
    ] ],
    [ "Main features", "a01772.html", [
      [ "Optimisation features", "a01772.html#rmo_features", null ],
      [ "Unconstraining", "a01772.html#rmu_features", null ],
      [ "Forecasting features", "a01772.html#rmf_features", null ],
      [ "Overbooking features", "a01772.html#rmc_features", null ],
      [ "Other features", "a01772.html#other_features", null ]
    ] ],
    [ "Make a Difference", "a01773.html", null ],
    [ "Make a new release", "a01774.html", [
      [ "Introduction", "a01774.html#description", null ],
      [ "Initialisation", "a01774.html#initialisation", null ],
      [ "Release branch maintenance", "a01774.html#branch_update", null ],
      [ "Commit and publish the release branch", "a01774.html#branch_publish", null ],
      [ "Create source packages (tar-balls)", "a01774.html#create_packages", null ],
      [ "Generate the RPM packages", "a01774.html#generate_rpm_packages", null ],
      [ "Update distributed change log", "a01774.html#update_changelog", null ],
      [ "Create the binary package, including the documentation", "a01774.html#create_bin_packages", null ],
      [ "Files on GitHub", "a01774.html#upload_files", null ],
      [ "Upload the documentation to GitHub", "a01774.html#upload_doc", null ]
    ] ],
    [ "Installation", "a01775.html", [
      [ "Table of Contents", "a01775.html#toc", null ],
      [ "Fedora/RedHat Linux distributions", "a01775.html#rpm_linux", null ],
      [ "RMOL Requirements", "a01775.html#requirements", null ],
      [ "Basic Installation", "a01775.html#basic_instructions", null ],
      [ "Compilers and Options", "a01775.html#compilers", null ],
      [ "Compiling For Multiple Architectures", "a01775.html#compiling_for_multi_arch", null ],
      [ "Installation Names", "a01775.html#installation_names", null ],
      [ "Optional Features", "a01775.html#optional_features", null ],
      [ "Particular systems", "a01775.html#particular_systems", null ],
      [ "Specifying the System Type", "a01775.html#specifying_system_type", null ],
      [ "Sharing Defaults", "a01775.html#sharing_defaults", null ],
      [ "Defining Variables", "a01775.html#defining_variables", null ],
      [ "‘cmake’ Invocation", "a01775.html#cmake_invocation", null ]
    ] ],
    [ "Linking with RMOL", "a01776.html", [
      [ "Introduction", "a01776.html#intro", null ],
      [ "Using the pkg-config command", "a01776.html#pkgconfig", null ],
      [ "Using the rmol-config script", "a01776.html#rmol_config", null ],
      [ "M4 macro for the GNU Autotools", "a01776.html#autotools", null ],
      [ "Using RMOL with dynamic linking", "a01776.html#dynamiclinking", null ]
    ] ],
    [ "Test Rules", "a01777.html", [
      [ "The Test File", "a01777.html#test_file", null ],
      [ "The Reference File", "a01777.html#reference_file", null ],
      [ "Testing IT++ Library", "a01777.html#testing_using_make", null ]
    ] ],
    [ "Users Guide", "a01778.html", [
      [ "Table of Contents", "a01778.html#ug_toc", null ],
      [ "Introduction", "a01778.html#ug_introduction", null ],
      [ "Get Started", "a01778.html#ug_get_started", [
        [ "Get the RMOL library", "a01778.html#ug_get_source", null ],
        [ "Build the RMOL project", "a01778.html#ug_build_binaries", null ],
        [ "Build and Run the Tests", "a01778.html#ug_build_and_run_tests", null ],
        [ "Install the RMOL Project (Binaries, Documentation)", "a01778.html#ug_install_project", null ]
      ] ],
      [ "Exploring the Predefined BOM Tree", "a01778.html#ug_bom_tree", [
        [ "Forecaster BOM Tree", "a01778.html#ug_bom_forecaster", null ],
        [ "Optimiser BOM Tree", "a01778.html#ug_bom_optimiser", null ]
      ] ],
      [ "Extending the BOM Tree", "a01778.html#ug_extending_bom_tree", null ]
    ] ],
    [ "Supported Systems", "a01779.html", [
      [ "RMOL 0.23.x", "a01779.html#rmol_0_23", [
        [ "Linux Systems", "a01779.html#linux", [
          [ "Fedora Core 4 with ATLAS", "a01779.html#fedora_atlas", null ],
          [ "Gentoo Linux with ACML", "a01779.html#gentoo_acml", null ],
          [ "Gentoo Linux with ATLAS", "a01779.html#gentoo_atlas", null ],
          [ "Gentoo Linux with MKL", "a01779.html#gentoo_mkl", null ],
          [ "Gentoo Linux with NetLib's BLAS and LAPACK", "a01779.html#gentoo_netlib", null ],
          [ "Red Hat Enterprise Linux with RMOL External", "a01779.html#rhel", null ],
          [ "SUSE Linux 10.0 with NetLib's BLAS and LAPACK", "a01779.html#suse_netlib", null ],
          [ "SUSE Linux 10.0 with MKL", "a01779.html#suse_mkl", null ]
        ] ],
        [ "Windows Systems", "a01779.html#windows", [
          [ "Microsoft Windows XP with Cygwin", "a01779.html#cygwin", null ],
          [ "Microsoft Windows XP with Cygwin and ATLAS", "a01779.html#cygwin_atlas", null ],
          [ "Microsoft Windows XP with Cygwin and ACML", "a01779.html#cygwin_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and ACML", "a01779.html#mingw_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and RMOL External", "a01779.html#mingw_netlib", null ],
          [ "Microsoft Windows XP with MS Visual C++ and Intel MKL", "a01779.html#msvc_mkl", null ]
        ] ],
        [ "Unix Systems", "a01779.html#unix", [
          [ "SunOS 5.9 with RMOL External", "a01779.html#sunos59", null ]
        ] ]
      ] ]
    ] ],
    [ "RMOL Supported Systems (Previous Releases)", "a01780.html", [
      [ "RMOL 3.9.1", "a01780.html#rmol_3_9_1", null ],
      [ "RMOL 3.9.0", "a01780.html#rmol_3_9_0", null ],
      [ "RMOL 3.8.1", "a01780.html#rmol_3_8_1", null ]
    ] ],
    [ "Tutorials", "a01781.html", [
      [ "Table of Contents", "a01781.html#tut_toc", null ],
      [ "Introduction", "a01781.html#tut_introduction", [
        [ "Preparing the StdAir Project for Development", "a01781.html#tut_intro_configuration", null ]
      ] ],
      [ "Build a Predefined BOM Tree", "a01781.html#tut_build_bom_tree", [
        [ "Instanciate the BOM Root Object", "a01781.html#tut_build_bom_root", null ],
        [ "Instanciate the (Airline) Inventory Object", "a01781.html#tut_build_inventory", null ],
        [ "Link the Inventory Object with the BOM Root", "a01781.html#tut_build_link", null ],
        [ "Build Another Airline Inventory", "a01781.html#tut_build_inventory_another", null ],
        [ "Dump The BOM Tree Content", "a01781.html#tut_dump_bom_tree", null ],
        [ "Result of the Tutorial Program", "a01781.html#tut_result_output", null ]
      ] ],
      [ "Extend the Pre-Defined BOM Tree", "a01781.html#tut_extend_bom_tree", [
        [ "Extend an Airline Inventory Object", "a01781.html#tut_extend_inventory", null ],
        [ "Build the Specific BOM Objects", "a01781.html#tut_extend_build", null ],
        [ "Result of the Tutorial Program", "a01781.html#tut_extend_result_output", null ]
      ] ]
    ] ],
    [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a01782.html", null ],
    [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a01783.html", null ],
    [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a01784.html", null ],
    [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a01785.html", null ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Functions", "functions_func.html", null ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"a00002.html",
"a01138.html#a7a9e5c079a36c75db7fa34f7a0185a09",
"a01226.html#a5ca572f9a880dc7eb4c879e55322e1db",
"functions_enum.html"
];

var SYNCONMSG = 'click to disable panel synchronization';
var SYNCOFFMSG = 'click to enable panel synchronization';